<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jsp/jstl/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
    
    <ui:define name="contentPart">
        
        <h:form id="TabuladoresListForm">
            
            <h:outputText 
                value="Nómina -> Configuración -> Tabuladores" 
                style="font-weight: bold;font-size: medium"/>            
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
                  
            <h:outputText value="Configuración de tabuladores" />
            
            <br/><br/>     
            
            <h:panelGrid 
                columnClasses="centered7" 
                columns="1" 
                cellpadding="10">
            
                <p:dataTable
                    id="listado"
                    value="#{rhNomnTabuladoresMB.listadoRhNomnTabuladores}"
                    var="rhNomnTabuladores"
                    paginator="true"
                    rows="10"
                    style="font-size: small;"
                    emptyMessage="No se encontraron Tabuladores"
                    paginatorPosition="bottom">
                
                    <f:facet name="header">
                      Tabuladores
                        <p:commandButton
                            styleClass="botonpequeno"
                            title="Agregar un nuevo tabulador"
                            icon="ui-icon-plusthick"
                            style="display:inline; float:right; font-size:x-small;"
                            onclick="location='#{request.contextPath}/content/restricted/nomina/tabuladores/TabuladoresAdd.jsf';">
                        </p:commandButton>
                    </f:facet>
                    
                    <p:column
                        sortBy="#{rhNomnTabuladores.intEjercicio}"
                        filterMatchMode="contains"                                        
                        filterBy="#{rhNomnTabuladores.intEjercicio}"
                        width="10%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.ejercicio']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.intEjercicio}"/>                    
                    </p:column>

                    <p:column                    
                        sortBy="#{rhNomnTabuladores.strClaveTabulador}"
                        filterMatchMode="contains"
                        filterBy="#{rhNomnTabuladores.strClaveTabulador}"
                        width="10%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.nivelTabular']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.strClaveTabulador}"/>
                    </p:column>
                
                    <p:column                    
                        sortBy="#{rhNomnTabuladores.dtVigenciaDeInicio}"
                        filterMatchMode="contains"
                        filterBy="#{rhNomnTabuladores.dtVigenciaDeInicio}"
                        width="12%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.vigenciaDeInicio']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.dtVigenciaDeInicio}">
                            <f:convertDateTime 
                                pattern="dd/MM/yyyy" 
                                timeZone="America/Mexico_City"/>
                        </h:outputText>                        
                    </p:column>
                
                    <p:column                    
                        sortBy="#{rhNomnTabuladores.dtVigenciaFinal}"
                        filterMatchMode="contains"
                        filterBy="#{rhNomnTabuladores.dtVigenciaFinal}"
                        width="15%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.vigenciaFinal']}
                        </f:facet>
                        
                            <h:outputText value="#{rhNomnTabuladores.dtVigenciaFinal}">
                            <f:convertDateTime 
                                pattern="dd/MM/yyyy" 
                                timeZone="America/Mexico_City"/>                        
                        </h:outputText>
                    </p:column>
                
                    <p:column 
                        width="10%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.sueldoBase']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.dbSueldoBase}">
                            <f:convertNumber 
                                pattern="#,###,##0.00" 
                                type="currency" 
                                currencySymbol="$"/>
                        </h:outputText>
                    </p:column>
                
                    <p:column 
                        width="10%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.compensacionGarantizada']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.dbCompensacionGarantizada}">
                            <f:convertNumber 
                                pattern="#,###,##0.00" 
                                type="currency" 
                                currencySymbol="$"/>
                        </h:outputText>
                    </p:column>
                
                    <p:column 
                        width="10%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.sueldoBruto']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.dbSueldoBruto}">
                            <f:convertNumber 
                                pattern="#,###,##0.00" 
                                type="currency" 
                                currencySymbol="$"/>
                        </h:outputText>
                    </p:column>

                   <!-- <p:column                    
                        sortBy="#{rhNomnTabuladores.strEstatusValor}"
                        filterMatchMode="contains"
                        filterBy="#{rhNomnTabuladores.strEstatusValor}"
                        width="13%"
                        style="font-size: small">
                        
                        <f:facet 
                            name="header">#{translatedMessage['restricted.nomina.tabulador.estatus']}
                        </f:facet>
                        
                        <h:outputText value="#{rhNomnTabuladores.strEstatusValor}"/>
                    </p:column> --> 
                
                    <p:column 
                        headerText="Acciones" 
                        width="10%"
                        style="font-size: small">
                        
                        <p:commandButton                                                                
                            update="@(.pnlTabuladorCaducar)"      
                            title="Editar Fin de la Vigencia"
                            styleClass="botonpequeno"
                            value="Editar Vigencia"      
                            immediate="true"
                            actionListener="#{rhNomnTabuladoresMB.inicializarFechas(rhNomnTabuladores)}"
                            style="display:inline; 
                                   float:none; 
                                   font-size:x-small;
                                   width: 100px;
                                   margin-bottom: 1px; "
                            rendered="#{rhNomnTabuladoresMB.validaCaducar(rhNomnTabuladores)}">
                            
                            <f:setPropertyActionListener
                                value="#{rhNomnTabuladores}"
                                target="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected}"> 
                            </f:setPropertyActionListener>                                     
                        </p:commandButton>   
                        <p:commandButton 
                            id="btnHistTabulador" 
                            styleClass="botonpequeno"  
                            update="@(.pnlHistoricoTabulador)"
                            onclick="PF('tabuladorHist').show();" 
                            title="Histórico de movimientos"
                            value="Histórico"  
                            immediate="true"
                            actionListener="#{rhNomnTabuladoresMB.cargaHistoricoTabulador(rhNomnTabuladores)}"
                            style="display:inline; 
                                   float:none; 
                                   font-size:x-small;
                                   width: 100px;
                                   margin-bottom: 1px; ">
                            <f:setPropertyActionListener
                                value="#{rhNomnTabuladores}"
                                target="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected}"> 
                            </f:setPropertyActionListener>                                     
                        </p:commandButton>                        
                    </p:column>                                          
                </p:dataTable>           
            </h:panelGrid>
             
            <br/><br/>

<div 
                align="center">
                <p:commandButton 
                    id="actImpTabBtn" 
                    value="Actualizar Tabuladores" 
                    style="font-size: 85%" 
                    immediate="true" 
                    actionListener="#{rhNomnTabuladoresMB.actualizaImportesConceptos}" >
                    <p:confirm                         
                        header="Confirmar" 
                        message="¿Seguro que desea actualizar los Tabuladores?" />
                </p:commandButton>
                <p:confirmDialog 
                    appendTo="@(body)" 
                    global="true" 
                    style="width: 450px;" 
                    closable="true" 
                    showEffect="fade" 
                    hideEffect="fade">

                    <p:commandButton 
                        value="Si" 
                        type="button" 
                        styleClass="ui-confirmdialog-yes" />

                    <p:commandButton 
                        value="No" 
                        type="button" 
                        styleClass="ui-confirmdialog-no" />  
                </p:confirmDialog>

                <p:commandButton
                    value="Cerrar"
                    style="font-size: 85%"
                    type="button"
                    onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                </p:commandButton>
            </div>
        </h:form>
        
        <p:dialog
            id="tabuladorHistId"
            header="Histórico de Movimientos del Tabulador"
            widgetVar="tabuladorHist"
            modal="true"
            resizable="false"
            closable="false"
            draggable="false"
            position="center"
            width="70%"
            appendTo="@(body)"
            >

            <h:panelGroup id="pnlHistoricoTabulador" class="pnlHistoricoTabulador">

                <h:form id="frmHistTabulador">
                    <h:panelGrid 
                        id="pnlDatostabHist" 
                        columns="1" 
                        cellpadding="5" 
                        columnClasses="centered5">

                        <p:dataTable id="tblMovsTab" 
                                     class="tblMovsTab"
                                     var="movimientosTabulador"                                                       
                                     paginator="true"                                                  
                                     value="#{rhNomnTabuladoresMB.lstMovsTabTO}"
                                     rows="5"
                                     rowKey="#{movimientosTabulador.idHistoricoMovimiento}"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                                     scrollable="true" 
                                     scrollWidth="99%"
                                     rowsPerPageTemplate="5,10"
                                     paginatorPosition="bottom" 
                                     emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                     style="font-size:small;"
                                     selectionMode="single"
                                     selection="#{rhNomnTabuladoresMB.lstMovsTabSelected}">
                            <p:ajax event="rowSelect" update="@(.pnlHistCposTab)" 
                                    listener="#{rhNomnTabuladoresMB.obtenerCamposHistorico}" oncomplete="PF('tabuladorHistCpos').show()" />
                            <p:column 
                                headerText="Movimiento"
                                style="width:25%;
                                font-size:small;">

                                <h:outputText value="#{movimientosTabulador.accion.nombreCorto}" />
                            </p:column>

                            <p:column 
                                headerText="Fecha y Hora"
                                style="width:35%;
                                font-size:small;">

                                <h:outputText value="#{movimientosTabulador.fecha}">
                                    <f:convertDateTime pattern="dd/MM/yyyy hh:mm:ss" locale="es_MX" timeZone="America/Mexico_City" />
                                </h:outputText>    
                            </p:column>

                            <p:column 
                                headerText="Usuario"
                                style="width:25%;
                                font-size:small;">                                            

                                <h:outputText value="#{movimientosTabulador.idUsuarioFk}"/>

                            </p:column>
                        </p:dataTable>                                    

                    </h:panelGrid>

                    <br/>
                    <div align="right">                                                  
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            style="font-size: 70%"
                            process="@(.pnlHistoricoTabulador)"
                            immediate="true"
                            onclick="location = 'TabuladoresList.jsf';">
                        </p:commandButton>
                    </div>
                </h:form>
            </h:panelGroup>
        </p:dialog>
        
        <p:dialog
            id="tabuladorHistCpos"
            header="Tabuladores - Detalle del Movimiento"
            widgetVar="tabuladorHistCpos"
            modal="true"
            resizable="false"               
            draggable="false"
            position="center"
            appendTo="@(body)"
            width="50%">

            <h:panelGroup id="pnlHistCposTab" class="pnlHistCposTab">

                <h:form id="frmHistCposTabulador">
                    <h:panelGrid 
                        id="pnlDatosTabMovsCpos" 
                        columns="1" 
                        cellpadding="5" 
                        columnClasses="centered5">

                        <p:dataTable id="tblTabMovsCpos" 
                                     class="tblTabMovsCpos"
                                     var="camposMovTab"                                                       
                                     paginator="true"                                                  
                                     value="#{rhNomnTabuladoresMB.lstCamposMovsTabTO}"
                                     rows="7"
                                     rowKey="#{camposMovTab.idHistoricoCampo}"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                                     scrollable="true" 
                                     scrollWidth="99%"
                                     rowsPerPageTemplate="7,14"
                                     paginatorPosition="bottom" 
                                     emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                     style="font-size:small;">

                            <p:column 
                                headerText="Campo Afectado"
                                style="width:25%;
                                font-size:small;">

                                <h:outputText value="#{camposMovTab.campoAfectado.descripcionNombre}" />
                            </p:column>

                            <p:column 
                                headerText="Valor Establecido"
                                style="width:35%;
                                font-size:small;">
                                <h:outputText value="#{camposMovTab.valorActual}"/>
                            </p:column>

                        </p:dataTable>                                    

                    </h:panelGrid>
                </h:form>
            </h:panelGroup>
        </p:dialog>
        
        
    </ui:define> 

    <ui:define name="outLayoutPart" >
        <ui:include src="TabuladoresExpire.xhtml" />        
    </ui:define>          
</ui:composition>
